Loading...
Searching...
No Matches
PackedMaskConstructor Struct Reference

`#include <openvdb_houdini/GU_VDBPointTools.h>`

## Public Member Functions

| PackedMaskConstructor (const std::vector< const GA_Primitive * > &prims, const openvdb::math::Transform &xform)
| PackedMaskConstructor (PackedMaskConstructor &rhs, tbb::split)
openvdb::MaskGrid::Ptr | getMaskGrid ()
void | join (PackedMaskConstructor &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)

## Constructor & Destructor Documentation

## PackedMaskConstructor() [1/2]

PackedMaskConstructor | ( | const std::vector< const GA_Primitive * > & | prims,
|  | const openvdb::math::Transform & | xform )

inline

## PackedMaskConstructor() [2/2]

PackedMaskConstructor | ( | PackedMaskConstructor & | rhs,
|  | tbb::split | )

inline

## Member Function Documentation

## getMaskGrid()

openvdb::MaskGrid::Ptr getMaskGrid | ( |  | ) |

inline

## join()

void join | ( | PackedMaskConstructor & | rhs | ) |

inline

## operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

inline